Ext.define('SYNO.SDS.SPKServer.Instance', {
	extend: 'SYNO.SDS.AppInstance',
	appWindowName: 'SYNO.SDS.SPKServer.Main',
	constructor: function() {
		this.callParent(arguments);
	}
});

Ext.define('SYNO.SDS.SPKServer.Main', {
	extend: 'SYNO.SDS.AppWindow',
	appInstance: null,

	constructor: function(cfg) {
		this.appInstance = cfg.appInstance;

		var config = Ext.apply({
			resizable: false,
			maximizable: true,
			minimizable: true,
			width: 640,
			height: 600,
			layout: 'fit',
			items: [
				new Ext.BoxComponent({
					height: "100%",
					html: '<iframe src="/webman/3rdparty/SPKServer/gettoken.html" frameborder="0" marginheight="0" marginwidth="0" width="100%" height="100%"></iframe>'
				})
			]
		}, cfg);

		this.callParent([config]);
	}
});

